Welcome

Home > Welcome

>> Asix.Evo 9 User's Manual

www.asix.com.pl

Asix Mobile

Dok. Nr ENH9E017

Version: 2017-10-19


Introduction

Home > 1. Introduction

1. Introduction

Asix Mobile enables process data to be presented on mobile devices such as smart phones and tablets. Asix Mobile provides all types of process data, i.e. current data, archived data and alarms.

Asix Mobile application is a part of Asix Evo application. Asix Mobile provides the same process data as Asix Evo application.


Installation

Home > 2. Installation

2. Installation

Asix Mobile module is a part of Asix.Evo package and is installed along with this package.

Asix Mobile module server requires Windows Vista/2008 or later. It also requires .NET library version 4.5 or later.

Asix Mobile module Client requires Android or iOS operating system. It is also possible to launch the Client in the web browser run on Windows platform – the browsers supported are: Google Chrome and Mozilla Firefox.


Server Configuration

Home > 3. Server Configuration > 3.1. Server Configuration

3.1. Server Configuration

Configuration of Asix Mobile module option is done from Asix.Evo station settings menu (Application Explorer > Stations Settings), in the option group Asix Mobile.

Fig. Station Configuration Panel - Asix Mobile Options.

  • First step involves launching of Asix Mobile module using option Run Asix Mobile Server.

  • The second step is selecting available protocols: http, https or both, using the following options:

External Communication Settings:

Allow only for HTTP communication,

Allow only for HTTPS communication,

Allow for HTTP and HTTPS communication.

· The third, optional step consists in switching on the alert database and configuring notifications.

Enabling the option Enable Asix Mobile Alerts Database allows you to create an alerts database in the application.

After enabling the option in the Asix Mobile application, the Alarms tab appears and the active alarms window is accessible. The active alarms window provides commands for creating the alerts database.

When the Enable Notifications option is enabled, users can be automatically notified about alert status changes. When the Enable Notifications option is enabled, enter the parameters of the notification centre. When they are entered and later, when the alerts database has been created by means of the Asix Mobile application, notifications will start to be sent out.

The notification centre parameters consist of: identifier, key and subdomain name. To obtain the notification centre parameters, contact Askom. Askom will create a notification centre for the client and provide its parameters. The notification centre is created free of charge. Send the request for creating the notification centre by e-mail to dh@askom.com.pl. Make sure that the request contains the Asix.Evo package licence code, the suggested subdomain name, server address (as the user will enter, the IP address or computer name) and your address and contact data. The subdomain name must consist of the small English alphabet characters, digits and hyphens. The maximum length is 14 characters.

Create one notification centre for each server licence of the Asix.Evo package which is to operate as the Asix Mobile server with the function of notifications. The centre parameters are neither related to the Asix licence nor to the computer and are freely transferable to another computer. The notification centre key should be considered as confidential and it should never be provided to third persons. The server which is to be used for sending notifications must have access to the Internet, including correctly configured addresses of the DNS servers.

Also configuration of Asix.Evo server for Asix Mobile service is required. This configurations must be made just once and involves the following operations.

Windows Communication Configurator > window Asix.Evo Server Configurator:

selecting the Windows User running Asix.Evo application;

reserving HTTP and HTTPS paths for selected Windows User for AsixMobile service;

Configuration of SSL certificate for HTTPS port of Asix Mobile service (generation of test SSL certificate for specified address or domain or using own preinstalled SSL certificate).

Fig. Windows Communication Configurator Screen.

Http protocol does not require any additional configuring operations. Its disadvantage is data transfer: user name, password and process data of application within the network using non-encrypted text.

Https protocol transmits all data in an encrypted form what makes it recommended method during normal operation. However, it requires the SSL certificate to be configured, required for transmission encryption.

The best method to become SSL certificate owner is to purchase it from one of many certificate suppliers. When purchased, the certificate must be saved in the certificate repository of Windows system, according to the supplier instructions. The next step is linking the certificate with https protocol using Asix.Evo.

Prior purchase of SSL certificate it is possible to generate test SSL certificate with Asix.Evo application. When it is linked with https protocol, the transmitted data are encrypted the same way as for standard SSL certificate. However, browser of Asix Mobile module user will notify that transmission encryption uses not trusted certificate. This notification may be ignored or the main certificate of test SSL certificate may be installed for every Client. Since that moment the browser will recognize our test certificate as trusted certificate.

In order to install the main certificate of test SSL certificate for a Client, you must:

  • launch Asix Mobile application in HTTPS mode;

  • open the certificate details window by clicking on padlock icon displayed at the left of HTTPS address; (in Google Chrome the window is displayed after clicking on Connection > Certificate information; in Mozilla the window is opened with command More information... > Security > View certificate)

  • in Details tab of the above mentioned window select Copy to file.../ Export (depending on the browser) option, which opens Certificate export wizard / window used to save certificate to file (depending on the browser); please follow the wizard instructions;

  • when the certificate is exported to .CER file and saved locally on hard drive, open Certificate window by clicking on the created file;

  • install the certificate using command Install certificate (the command may be found in General tab).

The above described certificate installation procedure is not required when the certificate purchased from supplier is used.

To enable the note-typing function in the Asix.Evo application, the "Central Security System" must be enabled in the security settings:

Asix.Evo.exe > Application Explorer > Security > Settings

This system uses the Microsoft SQL Server database which stores users' data and their notes data.


Permission Configuration

Home > 3. Server Configuration > 3.2. Permission Configuration

3.2. Permission Configuration

Configuration of Asix Mobile module permissions is done from Asix.Evo security settings menu (Application Explorer > Security), in the option group Roles. The following system permissions are available for each user:

Asix Mobile: Access right

This permission must be granted to the user in order to allow use of Asix Mobile.

Asix Mobile: Edit diagrams and options

This permission allows the user to edit the application diagrams, setting the start diagram and modify default layout of diagram. The user without this permission may only view the application diagrams.

Asix Mobile: Control variables

The permission allows the user to open control window and change variable value. The user without this permission can't open control window.

Asix Mobile: Acknowledge alarm

The permission provides access to alarm acknowledgement window and allows the user to send alarm acknowledgement. The user without this permission can't open acknowledgement window.

Fig. Window Used to Configure Asix Mobile Operation Permissions.

You should also configure the alarms domain. This requires enabling the option Allow Acknowledging alarms from Asix Mobile Application:

AsixEvo.exe > Application Explorer > Alarms System > Domain > Settings > Other Settings.


Launching the Application

Home > 4. Launching the Application > 4.1. Application Address

4.1. Application Address

On the PC with running Asix Mobile server, the application may be accessed from the browser, by entering address http://localhost/mobile. Access from other PCs or mobile devices is possible by using HTTP or safe HTTPS protocol. Sharing the Application by HTTPS protocol requires the appropriate certificate to be configured.

Asix Mobile address is:

https://address_of_asix_evo_server/mobile

If http protocol is used, the address is:

http:// address_of_asix_evo_server /mobile

For example, if Asxi.Evo server address is 10.10.2.3 than Asix Mobile address is:

https://10.10.2.3/mobile

If PC with Asix.Evo server has DNS address (e.g. turbina1.firma.pl) than the Asix Mobile address is:

https://turbina1.firma.pl/mobile


Running the Application in the Smartphone/Tablet Browser

Home > 4. Launching the Application > 4.2. Running the Application in the Smartphone/Tablet Browser

4.2. Running the Application in the Smartphone/Tablet Browser

Launch Chrome browser on phone with Android 4.1+ or Safari browser on iPhone. When the browser is launched enter correct address of Asix Mobile application in the browser address bar.

When loading finishes, Asix Mobile Application is ready to use. However, the browser toolbars limit the available space significantly. That's why one more operation must be done in order to have the application launched in full screen mode.

In Android system select Add to homescreen option from the browser menu. If this option is not present in the browser, please download update for Chrome from Google Play.

In iOS system select the option of going to homescreen from the browser menu. This command adds Asix Mobile icon to the browser home screen. Now, you don't need to launch the browser and enter the address, all you need to do is to click on the application icon.


Running the Application in the browser on Windows

Home > 4. Launching the Application > 4.3. Running the Application in the browser on Windows

4.3. Running the Application in the browser on Windows

In order to run the application on Windows you may use Google Chrome or Mozilla Firefox browser. Internet Explorer and Microsoft Edge browsers are not supported.

When the browser is launched enter the address of Asix Mobile application in the browser address bar. If the browser is run on the same PC station as Asix.Evo server, you may enter the address:

http://127.0.0.1/mobile


Logging in

Home > 4. Launching the Application > 4.4. Logging in

4.4. Logging in

After first launch of Asix Mobile application the login window appears. Enter user name and password defined in Asix.Evo application. The user must have permission to log in Asix Mobile module.

The last option is Keep me signed in. If it is enabled, next time you launch the application, the login screen will not be displayed and the first diagram of the application will be loaded.


Navigation

Home > 5. Navigation

5. Navigation

Once logged in, the default diagram is displayed which enables the user to switch to other diagrams (if configured) by clicking the linked icon [image] .

Switching back to a previous diagram may be done with the use of the button [image] on the upper bar of the application. For this purpose never use the navigation options of the Internet browser.

The list of all available diagrams may be displayed by clicking the list of all diagrams in the hamburger menu [image] on the upper bar of the application.

After logging in, the start diagram is launched.

Fig. Asix Mobile application launch window.

If the start diagram contains links to other diagrams, you can switch to them by means of the icon [image] . To go back to the previous diagram, use the button on the top bar of the application window [image] . Never use the Internet browser navigation for this purpose.

The list of all available diagrams is accessible from the "hamburger" [image] menu on the application window top bar > List of all diagrams command. This menu also contains all commands available in the given window.

There is a tabs bar in the bottom part of the window. It contains buttons allowing you to switch between four modules of the application.

The "Application" module is used to display and create application diagrams.

The "My diagrams" module is used to display and create diagrams of the user's private diagrams.

The "Alarms" module is used to display active alarms and create application and user's alerts.

The "Server" module contains information about the logged-in user, the currently used software version and the Asix Mobile server.


Application Development

Home > 6. Application Development

6. Application Development

The application development involves diagram creation, selection of the default diagram and customization of the segment default style (if needed). In order to execute these operations the user must have the Asix Mobile: Edit diagrams and options permission.

All diagrams and settings of the Asix Mobile application are stored on the Asix.Evo server. The Asix.Evo application directory contains an AsixMobile subdirectory in which all data is stored. There is no data of the Asix Mobile application stored in the browser.


Diagram Creation

Home > 6. Application Development > 6.1. Diagram Creation

6.1. Diagram Creation

In order to create a new diagram, select the option Create New in the application menu.

This command opens the diagram editor. It contains two tabs: Properties and Segments. Save and Cancel buttons are also available.

Clicking the Save button will finish editing the diagram and save it on the server. Clicking the Cancel button will close the editor without saving the diagram.

In the Properties tab the user has to fill the Diagram Name box. The diagram will be saved on the server under this name. This name will also appear in the diagram title box. The user can also fill the Diagram Title box in order to specify a title different from the diagram name.

Fig. Edit Diagram Window - Properties Tab.

The content of the diagram is edited in the Segments tab. When you switch to this tab, three tools will appear. The "Cross" tool [image] activates the segment remove mode , the "Plus" tool [image] adds a new segment to the diagram, the “r;stack” tool [image] is used to enable the segment sequence change mode.

Click this button after adding a new segment in order to go to the segment editor.

Fig. Edit Diagram Window - Segment Tab.


Segment Editing

Home > 6. Application Development > 6.2. Segment Editing

6.2. Segment Editing

To edit the diagram, switch to the diagram editing mode (application menu > Edit), select a segment on the list of segments of the given diagram and double-click it with the left mouse key.

The segment editor consist of three tabs: Contents, Elements and Appearance, Ok and Cancel buttons are also available.

Fig. Edit Segment Window - View of the 'Contents' Tab.

Clicking the Ok button will finish editing the segment and return to editing the diagram.

Clicking the Cancel button brings the user back to diagram editing and will discard any changes made in the segment.

The Contents tab contains basic options defining the segment contents.

Meaning of edition icons:

- Select a variable/ an alarm from the variable definition database / alarm definition database or Select a diagram

- Select an attribute from the variable definition database / alarm definition database

- Select a multilingual application text

The first one is Segment Kind. The following segment data types are available:

  • Text,

  • Link,

  • Alarm,

  • Variable.

Further options are available depending on the selected segment type.

The Elements tab allows parameterization of the content and appearance of the segment visualization elements.

Fig. Edit Segment Window - View of the ‘Elements’ Tab.


Text Segment

Home > 6. Application Development > 6.2. Segment Editing > 6.2.1. Text Segment

6.2.1. Text Segment

Text segment is the simplest type of segment. Its content is composed only of two elements: Title and Description. The Text segment is used to place in the diagram additional text information for the user or for visual grouping of segments that display process data.

Fig. Edit Segment Window for the Text Data Type.

Fig. Edit Segment Window for the Text Data Type.

Segment appearance is defined on the tab Elements > Appearance of segment > Segment. This definition includes background, title, description, and the ability to add icons in different color variants.

Fig. Segment appearance edit window for data type - Text.

Fig. View of the Text Segment.


Link Segment

Home > 6. Application Development > 6.2. Segment Editing > 6.2.2. Link Segment

6.2.2. Link Segment

Link segment allows you to navigate from the current to the next diagram. It is used to create distribution diagrams, leading the user to the next diagrams that display information from the selected section of the Asix.Evo application.

Apart from the elements: Title, Description, the segment requires to specify a name of the destination diagram in the The name of the diagram the link goes to box. As a result, an arrow appears on the right side of the diagram on which the segment of a Link type will be placed, indicating the possibility to move to another diagram.

Fig. Edit Segment Window for the Link Data Type.

Fig. Edit Segment Window for the Link Data Type.

Segment appearance is defined on the tab Elements > Appearance of segment > Segment. This definition includes background, title, description, and the ability to add icons in different color variants.

Fig. Segment appearance edit window for data type - Link.

Fig. View of a Link to Another Diagram.


Alarm Segment

Home > 6. Application Development > 6.2. Segment Editing > 6.2.3. Alarm Segment

6.2.3. Alarm Segment

Alarm segment allows you to view the state of one alarm. The most important segment options are the Alarms Domain Name, to which the alarm and the Alarm Name belong. The other options are: Title and Description of the segment.

The simplest way to carry out segment parameterization is by pressing the key Search. An alarm selection window featuring the alarms from the alarm definition database is displayed. The search box is at the top of the window. After entering there part of the name or description of the alarm, the database is searched and returns a list of matching alarm definitions. Clicking a line of the list will close the window and fill in the option segment with data from the selected alarm line.

Fig. Edit Segment Window for the Alarm Data Type.

Fig. Edit Segment Window for the Alarm Data Type.

Options of inactive / active alarm labels enable you to specify the text to appear in the segment as the current alarm state value.

Use the Elements tab to select the way in which the alarm value is to be shown. You can select "label", "state icon" and "acknowledge icon".

Segment appearance is defined on the tab Elements > Appearance of segment > Segment. This definition includes background, title, description, and the ability to add icons in different color variants.

Fig. Segment appearance edit window for data type - Alarm.

The appearance of the alarm is defined on the tab Elements > Appearance of segment > Alarm. This definition includes the appearance of labels and alarm icons.

Fig. Alarm appearance edit window for data type - Alarm.

Fig. View of the Alarm Segment.


Alarm State

Home > 6. Application Development > 6.2. Segment Editing > 6.2.3. Alarm Segment > 6.2.3.1. Alarm State

6.2.3.1. Alarm State

This segment displays as icons one of the three states in which an alarm can be:

  • Inactive

  • Active and unacknowledged

  • Active and acknowledged

There is a large database of icons that you can individually assign to these states.

Clicking the alarm segment opens the alarm state window which displays detailed information about the alarm.

Fig. Alarm state information window.


Alarm Acknowledgement

Home > 6. Application Development > 6.2. Segment Editing > 6.2.3. Alarm Segment > 6.2.3.2. Alarm Acknowledgement

6.2.3.2. Alarm Acknowledgement

The acknowledgement window is used to confirm the alarm. It is available after opening the alarm state window and clicking the I want to acknowledge button. The following conditions must be met in order to make this button available:

  • the user must have the permission to acknowledge alarms;

  • the alarm must be active and unacknowledged.

In the acknowledgement window you can optionally enter a note in the Note box. Pressing the Acknowledge button will send a confirmation to the Asix.Evo application. After a while, a message informing about sending an acknowledgement or an error message, if unsuccessful, appears below.

Fig. Alarm Acknowledgement Window Including a Message that the Acknowledgement Operation Has Been Made.


Variable Segment

Home > 6. Application Development > 6.2. Segment Editing > 6.2.4. Variable Segment

6.2.4. Variable Segment

Variable Segment enables to display the status of a single variable.

The major option of the segment is the name of the variable Name. It is also necessary to specify the type of the variable Type, depending on which additional variable attributes requiring parameterization will be displayed. The available variable types include:

  • Number,

  • Binary value,

  • Bits,

  • Text,

  • Aggregate.

The options available for each variable type are the segment title Title and segment description Description.

The simplest way to carry out segment parameterization is by pressing the key Select.... A variable selection window featuring the variables from the variable definition database is displayed. At the top of the window a search bar is displayed. Enter part of the name or description into it - on the basis of this criterion the database will be searched and a list of matching variable definitions will be returned. Clicking a line of the list closes the window and fills in the segment options.

Fig. Segment Edit Window for Data Type - Variable.

Fig. Segment Edit Window for Data Type - Variable.


Number Type Variable

Home > 6. Application Development > 6.2. Segment Editing > 6.2.4. Variable Segment > 6.2.4.1. Number

6.2.4.1. Number

The available visualization methods for a Number type variable include:

  • Value,

  • Gauge,

  • Bar,

  • Chart.

In addition to the standard attributes of a variable segment, the edit segment window of a Variable of Number type enables to edit the following attributes typical for the Number type:

  • Unit,

  • Minimum,

  • Maximum,

  • Number of Decimal Places.

Fig. Segment Edit Window for Data Type - Variable / Number.

The visualization methods for a Number type variable are defined in the tab Elements.

Fig. Definition Window of the Number Type Variable Segment - Selection of Visualization Method.

Segment appearance is defined on the tab Elements > Appearance of segment > Segment. This definition includes background, title, description, and the ability to add icons in different color variants.

Fig. Segment appearance edit window for data type - Variable / Number.

The appearance of the variable is defined on the tab Elements > Appearance of segment > Variable. This definition includes the appearance of the variable depending on the exceeded limits and the appearance of the elements declared for the Numbers presentation.

Fig. Variable appearance definition for data type - Variable / Number.

Value displays the numerical value of a variable rounded to the specified number of decimal places. The unit is displayed under the numerical value.

Fig. View of the Number Type Variable Segment - in the Form of Values.

Gauge displays the variable value in the form a gauge scale reading. The range of the gauge scale is specified by the options Minimum and Maximum. Additionally, if alert and alarm thresholds are specified in the variable definition database, then the gauge scale is coloured in a way reflecting the alert and alarm values.

Fig. View of the Number Type Variable Segment - in the Form of a Gauge.

Bar displays the variable value in the form of indication on the horizontal bar graph scale. The range of the bar graph scale is specified by the options Minimum and Maximum. Additionally, if alert and alarm thresholds are specified in the application, then the bar graph scale is coloured in a way reflecting the alert and alarm values.

Fig. View of the Number Type Variable Segment - in the Form of a Bar Graph.

Chart displays the history of the recent variable values in the form of a chart. It can be a complete chart featuring the axes and grid in addition to the values presented, or a mini chart illustrating the values only.

The form of the chart requires defining the following attributes:

  • Chart Type (Line, Area, Line stairs, Area stairs),

  • Data Type,

  • Data Period.

Fig. View of the Number Type Variable Segment - in the Form of a Mini Chart.

Fig. View of the Number Type Variable Segment - in the Form of a Complete Chart.


Binary Value Type Variable

Home > 6. Application Development > 6.2. Segment Editing > 6.2.4. Variable Segment > 6.2.4.2. Binary Value

6.2.4.2. Binary Value

The available visualization methods for a Binary value type variable include:

  • Value,

  • Value as a switch,

  • Chart.

In addition to the standard attributes of a variable segment, the edit segment window of a Variable of Binary value type enables to edit the following attributes typical for the Binary value:

  • Label 0,

  • Label 1.

Fig. Segment edit window for data type - Variable / Binary value.

The visualization methods for a Binary value type variable are defined in the tab Elements.

Fig. Segment edit window for data type - Variable / Binary value - choice of visualization method.

This value displays the numerical value of the variable, that is 0 or 1. Providing the values of the options for Label 0 and Label 1 it is possible to replace the 0/1 values with user defined labels.

The value presented in the form of a switch displays the measurement value as a switch icon, where 0 is represented as the switch open and 1 is represented as the switch closed.

Segment appearance is defined on the tab Elements > Appearance of segment > Segment. This definition includes background, title, description, and the ability to add icons in different color variants.

Fig. Segment appearance edit window for data type - Variable / Binary value.

The appearance of the variable is defined on the tab Elements > Appearance of segment > Variable. This definition includes the appearance of the variable depending on the exceeded limits and the appearance of the elements declared for the Binary value presentation.

Fig. Variable appearance definition for data type - Variable / Binary value.

The chart displays the history of the recent variable values in the form of a chart. It can be a complete chart featuring the axes and grid in addition to the values presented, or a mini chart illustrating the values only.

Fig. View of the Binary Value Type Variable Segment - in the Form of a Value.

Fig. View of the Binary Value Type Variable Segment - in the Form of a Switch.

Fig. View of the Binary Value Type Variable Segment - in the Form of a Chart.


Bit Type Variable

Home > 6. Application Development > 6.2. Segment Editing > 6.2.4. Variable Segment > 6.2.4.3. Bits Type

6.2.4.3. Bits Type

The available visualization methods for a Bit type variable include:

  • state text,

and/or

  • state image.

In addition to the standard attributes of a variable segment, the edit segment window of a Variable of Bit type requires defining a list of bit states. The active state is established through matching the current variable value with one of the states. The active state specifies what is to be displayed in the segment as the current variable value.

Fig. Segment edit window for data type - Variable / Bits.

he visualization methods for a Bits type variable are defined in the tab Elements.

Fig. Segment edit window for data type - Variable / Bits – visualization elements.

In order to edit bit states it is necessary to add a bit state line in the tab Elements using the button [image] , and then to open the window State Editor, launched by double clicking the bit state line or using the button [image] .

Fig. Bit State Edit Window.

The definition of each state includes a Bit mask, State Text and/or State Image.

The image is defined by entering a file name in the box State Image. Image files must be prepared and uploaded in the Asix.Evo application directory to the AsixMobile \ Images subdirectory.

It is also possible to define Text Color and Text Background Color.

The Bit mask is a string of characters specifying the required bit state which must occur in the variable value so that a state becomes the active state. The available mask characters include:

- - bit value is of no importance,

1 - bit must be set,

0 - bit must be reset to zero,

State text is the text displayed in the segment when the state is active.

If the option Available for Control is enabled for a state, then the state can be sent to a variable in the control window.

Segment appearance is defined on the tab Elements > Appearance of segment > Segment. This definition includes background, title, description, and the ability to add icons in different color variants.

Fig. Segment appearance edit window for data type - Variable / Bits.

The appearance of the variable is defined on the tab Elements > Appearance of segment > Variable. This definition includes the appearance of the variable depending on the exceeded limits and the appearance of the elements declared for the Bits value presentation.

Fig. Variable appearance definition for data type - Variable / Bits value.

Fig. View of the Bits Value Type Variable Segment.


Text Type Variable

Home > 6. Application Development > 6.2. Segment Editing > 6.2.4. Variable Segment > 6.2.4.4. Text Type

6.2.4.4. Text Type

The only visualization method available for a Text type variable is the Variable value in the tab Elements.

The main difference between a Text and Number variable is, apart from a limited number of visualization components available, a different way the variable control panel operates, which is described below.

Fig. Segment edit window for data type - Variable / Text.

The visualization methods for a Variable / Text type variable are defined in the tab Elements.

Fig. Segment edit window for data type - Variable / Text – visualization elements.

Segment appearance is defined on the tab Elements > Appearance of segment > Segment. This definition includes background, title, description, and the ability to add icons in different color variants.

Fig. Segment appearance edit window for data type - Variable / Text.

The appearance of the variable is defined on the tab Elements > Appearance of segment > Variable. This definition includes the appearance of the variable depending on the exceeded limits and the appearance of the elements declared for the Text presentation.

Fig. Variable appearance definition for data type - Variable / Text.

Fig. View of the Text Type Variable Segment.


Aggregate Type

Home > 6. Application Development > 6.2. Segment Editing > 6.2.4. Variable Segment > 6.2.4.5. Aggregate

6.2.4.5. Aggregate

The available Aggregate type variable visualization methods are:

  • Value,

  • Gauge,

  • Bar

The Number type variable visualization methods are specified on the Elements tab.

The above visualization methods are the same as for Numer Type (see: chapter Number Type Variable).

The editing window for the Aggregate type variable segment makes it possible, apart from the variable segment standard attributes, to edit the following attributes typical for Aggregate:

· Aggregate: Name, Data Period (Moving aggregate, Given period), Length (or Beginning, End - depending on Data Period)

  • Calculation Period,

· Unit,

· Minimum,

· Maximum,

· Number of Decimal Places.

Attributes defining the aggregate:

Name – name of aggregate,

Data Period – the aggregated values can be calculated for a moving time period (Length) (last minute, 5 minutes, 30 minutes, 1 hour, 8 hours, 1 day, 7 days or 1 month) or based on a strictly defined time period, the beginning and the end of which (Beginning, End) are definable in the OPC or DateTime format,

Calculated Period – a period of time providing a basis for calculating values aggregated for the given period of time.

Fig. Segment edit window for data type - Variable / Aggregate.

The visualization methods for a Variable / Aggregate type variable are defined in the tab Elements.

Fig. Segment edit window for data type - Variable / Aggregate – visualization elements.

The value displays a numeric value of a variable rounded to the specified number of decimal places. A unit is displayed below the numerical value.

Fig. View of a segment of Aggregate - in the form of values.

The gauge displays the value of the variable as an indication on the scale of the meter. The range of the meter is determined by the Minimum and Maximum options. In addition, if the alarm definition and warning limits are specified in the variable definition database, the scale of the meter is colored to show the alarm and warning intervals.

Fig. View of a segment of Aggregate - in the form of gauge.

The bar displays the value of the variable in the form of an indication on the scale of the horizontal bar. The scale of the bar is determined by the Minimum and Maximum options. In addition, if the alarm and warning limits are given in the application, the bar scale is colored to show the alarm and warning intervals.

Fig. View of a segment of Aggregate - in the form of bar.

Segment appearance is defined on the tab Elements > Appearance of segment > Segment. This definition includes background, title, description, and the ability to add icons in different color variants.

Fig. Segment appearance edit window for data type - Variable / Aggregate.

The appearance of the variable is defined on the tab Elements > Appearance of segment > Variable. This definition includes the appearance of the variable depending on the exceeded limits and the appearance of the elements declared for the Aggregate presentation.

Fig. Variable appearance definition for data type - Variable / Aggregate.


Variable Control

Home > 6. Application Development > 6.2. Segment Editing > 6.2.4. Variable Segment > 6.2.4.6. Variable Control

6.2.4.6. Variable Control

Variable control is carried out using the control window. It is displayed by clicking a diagram segment. In order for the control window to be available, the following conditions must be met:

· the user must have the control rights,

· the option Control method must be defined for the segment.

If these conditions are met, the segment has a special control background (default yellow) to indicate that the control window is available to it.

  • Control method:

- None,

- Currient variable,

- Another variable,

- Complex action (one action with parameter or set of actions with parameters).

The control window features different properties for each variable type. To a Number type variable any numerical value from the specified variable range can be assigned. The value can also be selected using the slider. Pressing the button Acknowledge sends the new variable value to the Asix.Evo Application. After a while, a message informing about sending a control signal or an error message, if unsuccessful, appears below.

For a Text type variable any text can be entered and sent.

For a Binary value type variable two buttons for the values 0 and 1 are displayed, used to select the value to be sent. In the segment editor there is the Use toggle control option which allows you to enable the switch control.

For a Bit type variable as many buttons are displayed as there are states available to be controlled.


User's Text "New Value"

Home > 6. Application Development > 6.2. Segment Editing > 6.2.4. Variable Segment > 6.2.4.7. User's Text "New Value"

6.2.4.7. User's Test "New Value"

By default, in the variable control field, the new value field has a label "new value”. To make it easier for the user to work, you can provide your own title of this field in the control options (in the variable segment editing window).

Fig. Edit segment window.

Fig. Custom text for the label of the new value field.


Control Variable Other than Basic Variable

Home > 6. Application Development > 6.2. Segment Editing > 6.2.4. Variable Segment > 6.2.4.8. Control Variable Other than Basic Variable

6.2.4.8. Control Variable Other than Basic Variable

By default, control is exercised over the variable whose value is displayed in the segment. Yet, if the segment option Control Other Variable is enabled, then other options allowing to select another variable whose value is to be controlled are displayed.

The name of the variable Name and its type Type must be defined for the control variable. For a Number type variable the variable range can be specified. For a Binary value type variable the state labels 0/1 can be specified.

The Bit type variable is available only when the basic variable is of the Bit type, too. For control, the states defined for the basic variable are available.


Operator Notes Segment

Home > 6. Application Development > 6.3. Operator Notes Segment

6.3. Operator Notes Segment

Operator Notes window is used to view recent notes and create new ones by the application users. Each note consists of:

  • Text - any content entered by the user,

  • Location - every note is linked to a specific part of the application (installation),

  • Flags of activity - used to mark new notes.

Notes created in Asix Mobile can be viewed in the desktop version of the Asix application. In particular, the notification mechanism about active notes is available.

To create a new note, select the Operator notes command in the application menu and then again from the New note main menu.

Fig. Editing window for a new operator’s note.

Note:

To enable the note-typing function in the Asix.Evo application, the "Central Security System" must be enabled in the security settings:

AsixEvo.exe > Application Explorer > Security > Settings

This system uses the Microsoft SQL Server database which stores users' data and their notes' data.


Start-up Diagram

Home > 6. Application Development > 6.4. Start-up Diagram

6.4. Start-up Diagram

After the user's login, the first diagram to be displayed is the diagram whose name is specified in the application option launched by the command Edit options from the "hamburger" menu [image] located on the application upper window bar, in the box The name of the initial diagram. If this option is empty, then after the user's login a list of diagrams is displayed. This option is available only to users having the "Asix Mobile: Edit diagrams and options" rights.


Customization of Default Segment Style

Home > 6. Application Development > 6.5. Customization of Default Segment Style

6.5. Customization of Default Segment Style

In the application menu there is the command Application > Options > appearance of segment > Global skin. When selected, an editor is available to change the appearance of a segment, variable and alarm.

Fig. The editor window for the default segment view.


Diagram Refresh

Home > 6. Application Development > 6.6. Diagram Refresh

6.6. Diagram Refresh

The current values and alarms displayed in the diagram are periodically refreshed by default. It should be remembered while launching the application on a device which is connected to the Asix.Evo server through a GSM link. Opening a diagram causes a continuous transmission of small portions of data.

It is different in the case of charts, where historical data is visualized. After opening a diagram, charts displaying recently selected data are downloaded once. In order to refresh the charts, select Refresh charts, available from the main "hamburger" menu.


Creating User-Defined Diagrams

Home > 7. Creating User-Defined Diagrams

7. Creating User-Defined Diagrams

The section of the Asix Mobile application available after pressing the button My Diagrams [image] in the bottom part of the screen is used to preview and manage the diagrams created by the user.

The diagrams available in this part of the application are different for each user, and no special rights are required to create them. User-defined diagrams, similar to the application diagrams, are stored on the server. This is why, independently from the device the user logs in from, he has access to the same set of diagrams.

Although diagrams can be created by the user, yet they can only display this process data which is available in the application diagrams.


List of Diagrams

Home > 7. Creating User-Defined Diagrams > 7.1. List of Diagrams

7.1. List of Diagrams

The main window of the user's diagram section is a list of diagrams. The list is sorted alphabetically in line with the diagram names. Clicking a diagram name opens the diagram.

The menu of the list of diagrams enables to edit the list in order to either remove the diagrams that are no longer needed or create new ones.

The diagram menu features commands necessary to edit the current diagram, create a new diagram or copy the current diagram.


Asix Mobile Display Modes in Browser under Windows

Home > 8. Asix Mobile Display Modes in Browser under Windows

8. Asix Mobile Display Modes in Browser under Windows

Asix Mobile display modes in a browser under Windows are: telephone, tablet and window.

To set up a required Asix Mobile display mode select the command Application > Options > Program Options in the application menu and select a proper mode in the View command.

Fig. Telephone mode.

Fig. Tablet mode.

Fig. Window mode.


Multilanguage Application

Home > 9. Multilanguage Application

9. Multilanguage Application

The option allows the user to enable the application language support based on the application language list downloaded from the server:

Application Options> Multilanguage Application

Fig. Enabling the multilanguage application support.

It is possible to create a list of multilanguage texts by means of the New Text command of the Application Texts window menu run from the main "hamburger" menu > Options > Aplication Texts

Fig. Application multilanguage text editor.

To search for the entered texts, enter a phrase in the search field.

Fig. Multilanguage text search.


Program Language

Home > 10. Program Language

10. Program Language

The Program Texts function accessible from the main "hamburger" menu > Options > Program Texts is used to prepare a language version of the Asix Mobile program on the server for a language selected by the user.

When the Create File button is pressed, a file with the program texts to be translated into the target language will be created on the server. The texts to be translated will be provided in a selected source language. The file is generated based on the English or Polish texts included in the program.

Fig. Program text window.


Server Information

Home > 11. Server Information

11. Server Information

The section of the Asix Mobile application available after pressing the button Server [image] in the bottom part of the screen is used to display information about the server to which the user is logged. The server name Server Address and logged user's name User are displayed. A button for the user's logout from the server is available.

In the upper section of the screen the current Asix Mobile version and the button More are displayed. Pressing the button opens a screen displaying detailed information about the Asix Mobile server and client.


Active Alarms

Home > 12. Alarms, Notifications, Alerts > 12.1. Active Alarms

12.1. Active Alarms

The active alarms window allows the user to quickly check if the object monitored by the Asix.Evo application shows any problems which might require his/her involvement. Out of all available alarms of the Asix.Evo application, the user can choose a set of alarms in which he/she is interested. The active alarms from this set are displayed in the active alarms window. (See: Alerts Database).

The list of the active alarms is sorted by time, starting from the latest one. The colour of the icon to the left of the menu shows the alarm importance. The list of alarms is automatically refreshed. Additionally, the current number of the active alarms is displayed as a label on the tabs bar on the Alarm button.

Fig. Active alarms window.


Notifications

Home > 12. Alarms, Notifications, Alerts > 12.2. Notifications

12.2. Notifications

The notification system allows the user to quickly find out that the object monitored by the Asix.Evo application shows some problems which might require his/her involvement. The user does not need to keep the Asix Mobile application open or have the telephone unlocked. Out of all available alarms of the Asix.Evo application, the user can choose a set alarms in which he/she is interested. Information about a change of status of each of the selected alarms is automatically send as a notification.

The notification is sent as a system notification, the appearance of which depends on the recipient's device. It will be a label on a locked screen, a panel in the top part of an unlocked screen or a window in the Windows desktop right lower corner. After clicking on the notification, Asix Mobile with the activated Alarms tab is automatically opened.

The notifications are sent to all devices through which the user logged in and enabled receiving notifications. The given device shows notifications for the user who logged into the Asix Mobile application as the latest user.

For the notifications to be received, you need to enable receiving the notifications. To do this, open the program options window (go to the Application tab, open the menu, select the Options command and select the Notifications option group). Then press the Subscribe button in the Notifications window and follow the instructions on the screen. The Subscribe button is not accessible if the currently selected browser does not support notifications. To disable receiving notifications in the future, reopen the notification options window and press the Unsubscribe button.

Receiving notifications is supported by the Google Chrome browser on the Android and Windows systems. You do not need to launch the Android telephone browser to receive a notification and the notification will also appear on the screen of locked telephone. However, the telephone must have a permanent access to the Internet. In the Windows system, the notifications are received when the browser is launched. To be able to receive notifications also when none of the browser windows is opened, you need to additionally configure the browser. To do this, you need to enter "chrome://flags/#enable-push-api-background-mode", set the first option value to "Enabled" and relaunch the browser. The Firefox browser under the Windows system also supports receiving the notifications. The browser must be running all the time. The Microsoft Edge and Apple Safari browsers do not support receiving the notifications.


Alerts Database

Home > 12. Alarms, Notifications, Alerts > 12.3. Alerts Database

12.3. Alerts Database

Active alarms and notifications are parametrized by creating an alerts database. The alerts database consists of application alerts and the user alerts. One application alert consists of a name list of the monitored alarms and a name list of the recipients who are interested in these alarms. One user's alert consists of a name list of the monitored alarms - the user himself/herself is the recipient.

The alerts database consists of one global database of the application alerts and one alerts database for each user. It is possible to use only the application alerts or only the user alerts. This means that one administrator/designer may want to have everything centralised and uses only the application alerts database. On the other hand, another one may not want to create alerts and entrusts the user who needs them with defining his/her own user alerts.

To edit the application alerts database, select the Alarms tab and then select the Edit Application Alerts command in the menu. A window containing a list of names of the pre-defined alerts appears. By shifting the alert to the left, you get access to the Edit, Copy and Remove commands. There is the New Alert command accessible in the window menu. After the New Alert command has been selected, the alert editor windows appears. It consists of three tabs: Properties, Alarms and Recipients.

Enter a unique alert name in the Properties tab and set the Active and Send Notifications options. If the alert is active, it is taken into account when generating the active alarms list. When the Send Notifications option is additionally enabled, selected users will receive notifications about changes of the selected alarms' status.

Create the list of alarms in the Alarms tab. To add an alarm to the list, press the "+" button at the bottom of the screen. To delete an alarm from the list, select the "x" button at the bottom of the screen.

Create the list of recipients in the Recipients tab. To add an individual user, press the "person +" button at the bottom of the screen. To add a group of users (known in the Asix Evo terminology as a role) press the "peaople +" button at the bottom of the screen. To delete a recipient from the list, select the "x" button at the bottom of the screen.

To edit the current user alerts database, select the Alarms tab and then select the Edit User Alerts command in the menu. A window containing a list of names of the pre-defined alerts appears. By shifting the alert to the left, you get access to the Edit, Copy and Remove commands. There is the New Alert command accessible in the menu. After the New Alert command has been selected, the alert editor windows appears. It consists of two tabs: Properties and Alarms.

Enter a unique alert name in the Properties tab and set the Active and Send notifications options. If the alert is active, it is taken into account when generating the active alarms list. When the Send Notifications option is additionally enabled, the current users will receive notifications about changes of the selected alarms' status.

Create the list of alarms in the Alarms tab. To add an alarm, press the "+" button at the bottom of the screen. To delete an alarm from the list, select the "x" button at the bottom of the screen.


Notifications - Technical Description

Home > 12. Alarms, Notifications, Alerts > 12.4. Notifications - Technical Description

12.4. Notifications - Technical Description

The Asix Mobile server administers the entire database of alerts. The database is stored in the xml format files in a subdirectory of the Asix Evo application.

The Asix Mobile keeps monitoring all alarms declared in the alerts database. When the user launches the Asix Mobile application, he/she can see on the Alarms tab which alarms in his/her alerts database are currently active. Every time when the alarm status has been changed, the Asix Mobile server may send a notification to all users who are in the list of recipients of a specific alert containing a specific alarm.

The Google GCM platform is used to distribute notifications. The intermediary is the OneSignal company server. The OneSignal server stores information about the equipment of the users who have enabled notifications in the Asix Mobile application. After the alarm status change has been detected, the Asix Evo server commands the OneSignal server to send the notification to the user.

The OneSignal server commands the Google GCM service to send the notification to the user's relevant devices. The Google GCM server sends the notification to the device.

The notification usually needs a few seconds to appear on the user's device after the alarm status change. However, you must know that the notification delivery is not guaranteed unless the Google GCM server does its best to deliver the notification. In rare cases, a notification sent from the Asix Mobile server may never be delivered and the Asix Mobile server will not receive any information about this fact.

Please, note that in case when the service is no longer delivered by the Google GCM platform or the OneSignal server, the notifications will stop functioning through no faults of ASKOM. ASKOM will do its best to create a new version of the notification system which will use new, presently available notification centres. The new version of the notification system will certainly be included in the current version of the Asix Evo package. The notification system is likely to be updated also in the older versions of the Asix Evo package but this is not guaranteed. In each case, the administrator will have to install the new version of the Asix Evo package on his/her own.